Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Typedefs | Functions
sm2.h File Reference
`#include <botan/ecc_key.h>`

Go to the source code of this file.

## Classes
class | Botan::SM2_PrivateKey
class | Botan::SM2_PublicKey

## Namespaces
namespace | Botan

## Typedefs
typedef SM2_PrivateKey | Botan::SM2_Encryption_PrivateKey
typedef SM2_PublicKey | Botan::SM2_Encryption_PublicKey
typedef SM2_PrivateKey | Botan::SM2_Signature_PrivateKey
typedef SM2_PublicKey | Botan::SM2_Signature_PublicKey

## Functions
std::vector< uint8_t > | Botan::sm2_compute_za (HashFunction &hash, const std::string &user_id, const EC_Group &domain, const PointGFp &pubkey)